## mrboom 5.1

=== debian/changelog ===
mrboom (5.1-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: dropped as upstream fixed.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/patches: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 08 Dec 2020 08:44:29 +0100

## mrboom 5.2%2Bds

=== libretro-common/audio/dsp_filters/Makefile ===
compiler    := gcc
extra_flags :=
use_neon    := 0
build       = release
DYLIB	      := so
PREFIX      := /usr
INSTALLDIR  := $(PREFIX)/lib/retroarch/filters/audio

ifeq ($(platform),)
   platform = unix
   ifeq ($(shell uname -s),)
      platform = win
   else ifneq ($(findstring Darwin,$(shell uname -s)),)
      platform = osx
      arch     = intel
      ifeq ($(shell uname -p),powerpc)
         arch = ppc
      endif
   else ifneq ($(findstring MINGW,$(shell uname -s)),)
      platform = win
   endif
endif

ifeq ($(platform),gcc)
   extra_rules_gcc := $(shell $(compiler) -dumpmachine)
endif

ifneq (,$(findstring armv7,$(extra_rules_gcc)))
   extra_flags += -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon
   use_neon := 1
endif

ifneq (,$(findstring hardfloat,$(extra_rules_gcc)))
   extra_flags += -mfloat-abi=hard
endif

ifeq (release,$(build))
   extra_flags += -O2
endif

ifeq (debug,$(build))
   extra_flags += -O0 -g
endif

ldflags := $(LDFLAGS) -shared -lm -Wl,--version-script=link.T

ifeq ($(platform), unix)
   DYLIB = so
else ifeq ($(platform), osx)
   compiler := $(CC)
   DYLIB = dylib
   ldflags := -dynamiclib
else
   extra_flags += -static-libgcc -static-libstdc++
   DYLIB = dll
endif

CC      := $(compiler) -Wall
CXX     := $(subst CC,++,$(compiler)) -std=gnu++0x -Wall
flags   := $(CPPFLAGS) $(CFLAGS) -fPIC $(extra_flags) -I../../include
asflags := $(ASFLAGS) -fPIC  $(extra_flags)
objects :=

ifeq (1,$(use_neon))
   ASMFLAGS := -INEON/asm
   asflags += -mfpu=neon
endif

plugs := $(wildcard *.c)
objects := $(plugs:.c=.o)
targets := $(objects:.o=.$(DYLIB))

all: build;

%.o: %.S
	$(CC) -c -o $@ $(asflags)  $(ASMFLAGS)  $<

%.o: %.c
	$(CC) -c -o $@ $(flags) $<

%.$(DYLIB): %.o
	$(CC) -o $@ $(ldflags) $(flags) $^

build: $(targets)

clean:
	rm -f *.o
	rm -f *.$(DYLIB)

strip:
	strip -s *.$(DYLIB)

install:
	mkdir -p $(DESTDIR)$(INSTALLDIR)
	cp -t $(DESTDIR)$(INSTALLDIR) $(targets) *.dsp

test-install:
	DESTDIR=/tmp/build $(MAKE) install

=== debian/changelog ===
mrboom (5.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/watch:
    - drop template part.
    - added filemangle for repacking.
  * d/copyright:
    - updated match.
    - added Files-Excluded field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Dec 2020 23:05:22 +0100

## mrboom 5.2+ds

=== Makefile ===
STATIC_LINKING := 0
AR             := ar
INSTALL        := install
RM             := rm
STRIP          := strip
GIT_VERSION    := " $(shell git rev-parse --short HEAD)"
BINDIR         ?= bin
LIBDIR         ?= lib
DATADIR        ?= share
LIBRETRO_DIR   ?= libretro
WANT_BPP       := 32

MANDIR := man/man6
CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
CFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CFLAGS))
CFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CFLAGS))
CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CXXFLAGS))
CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CXXFLAGS))
CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CXXFLAGS))
CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CPPFLAGS))
CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CPPFLAGS))
CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CPPFLAGS))

ifeq ($(platform),)
   platform = unix
   ifeq ($(shell uname -a),)
      platform = win
   else ifneq ($(findstring MINGW,$(shell uname -a)),)
      platform = win
   else ifneq ($(findstring Darwin,$(shell uname -a)),)
      platform = osx
   else ifneq ($(findstring win,$(shell uname -a)),)
      platform = win
   endif
endif

ifeq ($(platform), win)
   LDFLAGS += -liphlpapi -lws2_32 
endif

CORE_DIR = .
export DEPSDIR := $(CURDIR)/

# system platform
system_platform = unix
ifeq ($(shell uname -a),)
   EXE_EXT = .exe
   system_platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   system_platform = osx
else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
   system_platform = freebsd
else ifneq ($(findstring Haiku,$(shell uname -o)),)
   system_platform = haiku
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   system_platform = win
endif

TARGET_NAME := mrboom

ifeq ($(ARCHFLAGS),)
   ifeq ($(archs),ppc)
      ARCHFLAGS = -arch ppc -arch ppc64
   else
      ARCHFLAGS = -arch i386 -arch x86_64
   endif
endif

ifneq ($(SANITIZER),)
   CFLAGS   := -fsanitize=$(SANITIZER) $(CFLAGS)
   LDFLAGS  := -fsanitize=$(SANITIZER) $(LDFLAGS)
endif

ifeq ($(platform), osx)
   ifndef ($(NOUNIVERSAL))
      CFLAGS += $(ARCHFLAGS)
      LFLAGS += $(ARCHFLAGS)
      ifneq ($(LIBSDL2),)
         CFLAGS += $(shell sdl2-config --cflags)
         LDFLAGS += $(shell sdl2-config --libs)
      endif
   endif
endif

ifeq ($(platform), unix)
   ifneq ($(LIBSDL2),)
      CFLAGS += $(shell sdl2-config --cflags)
      LDFLAGS += $(shell sdl2-config --libs)
   else ifneq ($(LIBSDL),)
      CFLAGS += $(shell sdl-config --cflags)
      LDFLAGS += $(shell sdl-config --libs)
   endif
endif

ifeq ($(STATIC_LINKING), 1)
   EXT := a
endif

ifeq ($(platform), unix)
   EXT ?= so
   TARGET := $(TARGET_NAME)_libretro.$(EXT)
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
   ifeq ($(system_platform), haiku)
      LDFLAGS += -lroot -lnetwork
   endif

else ifeq ($(platform), linux-portable)
   TARGET := $(TARGET_NAME)_libretro.$(EXT)
   fpic := -fPIC -nostdlib
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T
   LIBM :=

# OS X
else ifneq (,$(findstring osx,$(platform)))
   TARGET := $(TARGET_NAME)_libretro.dylib
   fpic := -fPIC
   SHARED := -dynamiclib
   PREFIX := /usr/local
   MANDIR := share/man/man6

# iOS
else ifneq (,$(findstring ios,$(platform)))
   TARGET := $(TARGET_NAME)_libretro_ios.dylib
   fpic := -fPIC
   SHARED := -dynamiclib
   ifeq ($(IOSSDK),)
      IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
   endif
   DEFINES := -DIOS
   ifeq ($(platform),ios-arm64)
      CC = cc -arch arm64 -isysroot $(IOSSDK)
      CXX = c++ -arch arm64 -isysroot $(IOSSDK)
   else	
      CC = cc -arch armv7 -isysroot $(IOSSDK)
      CXX = c++ -arch armv7 -isysroot $(IOSSDK)
   endif
   ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
      CC     += -miphoneos-version-min=8.0
      CFLAGS += -miphoneos-version-min=8.0 -DDONT_WANT_ARM_OPTIMIZATIONS
   else
      CC     += -miphoneos-version-min=5.0
      CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
   endif

# tvOS
else ifeq ($(platform), tvos-arm64)
   TARGET := $(TARGET_NAME)_libretro_tvos.dylib
   fpic := -fPIC
   SHARED := -dynamiclib
   DEFINES := -DIOS
   CFLAGS += -DDONT_WANT_ARM_OPTIMIZATIONS
   ifeq ($(IOSSDK),)
      IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
   endif
   CC = cc -arch arm64 -isysroot $(IOSSDK)
   CXX = c++ -arch arm64 -isysroot $(IOSSDK)

# QNX
else ifneq (,$(findstring qnx,$(platform)))
   TARGET := $(TARGET_NAME)_libretro_qnx.so
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
   CFLAGS += -D_POSIX_C_SOURCE=200112L
   LDFLAGS += -lsocket
   CC = qcc -Vgcc_ntoarmv7le
   CXX = QCC -Vgcc_ntoarmv7le

# Emscripten
else ifeq ($(platform), emscripten)
   TARGET := $(TARGET_NAME)_libretro_emscripten.bc
   fpic := -fPIC
   SHARED := -shared
   STATIC_LINKING := 1
   CFLAGS += -DNO_NETWORK

# PSP
else ifeq ($(platform), psp1)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = psp-gcc
   CXX = psp-c++
   AR = psp-ar
   CFLAGS += $(DEFINES) -Wall -G0 -DNO_NETWORK -Werror -Wcast-align
   CXXFLAGS += $(DEFINES) -Wall -G0 -DNO_NETWORK -Werror -Wcast-align -Wno-long-long
   STATIC_LINKING = 1

# Vita
else ifeq ($(platform), vita)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = arm-vita-eabi-gcc
   CXX = arm-vita-eabi-c++
   AR = arm-vita-eabi-ar
   CFLAGS += $(DEFINES) -Wall -DVITA
   CXXFLAGS += $(CFLAGS)
   STATIC_LINKING = 1

# Nintendo Game Cube / Wii / WiiU
else ifneq (,$(filter $(platform), ngc wii wiiu))
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = $(DEVKITPPC)/bin/powerpc-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITPPC)/bin/powerpc-eabi-g++$(EXE_EXT)
   AR = $(DEVKITPPC)/bin/powerpc-eabi-ar$(EXE_EXT)
   CFLAGS += -mcpu=750 -meabi -mhard-float -D__ppc__
   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
   CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
   STATIC_LINKING=1

   # Nintendo WiiU	
   ifneq (,$(findstring wiiu,$(platform)))	
      CFLAGS += -mwup
      
   # Nintendo Wii
   else ifneq (,$(findstring wii,$(platform)))
      CFLAGS += -DGEKKO -mrvl

   # Nintendo Game Cube
   else ifneq (,$(findstring ngc,$(platform)))
      CFLAGS += -DGEKKO -mrvl
   endif

# GCW0
else ifeq ($(platform), gcw0)
   TARGET := $(TARGET_NAME)_libretro.so
   CC = /opt/gcw0-toolchain/usr/bin/mipsel-linux-gcc
   CXX = /opt/gcw0-toolchain/usr/bin/mipsel-linux-g++
   AR = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ar
   fpic := -fPIC
   SHARED := -shared -Wl,--no-undefined -Wl,-version-script=$(CORE_DIR)/link.T
   FLAGS += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float
   WANT_BPP := 16

# Nintendo Switch (libnx)
else ifeq ($(platform), libnx)
   include $(DEVKITPRO)/libnx/switch_rules
   EXT=a
   TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
   DEFINES := -DSWITCH=1 -U__linux__ -U__linux
   CFLAGS	:= $(DEFINES) -g -O3 \
                -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -Wl,--allow-multiple-definition -specs=$(LIBNX)/switch.specs
   CFLAGS += $(INCDIRS)
   CFLAGS += -D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
   CXXFLAGS := $(ASFLAGS) -fno-rtti -std=gnu++11
   CFLAGS += -std=gnu11
   CFLAGS += -DUSE_FILE32API
   STATIC_LINKING = 1

# Nintendo Switch (libtransistor)
else ifeq ($(platform), switch)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   include $(LIBTRANSISTOR_HOME)/libtransistor.mk
   CFLAGS += $(CXX_FLAGS)
   STATIC_LINKING=1

# CTR (3DS)
else ifeq ($(platform), ctr)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = $(DEVKITARM)/bin/arm-none-eabi-gcc$(EXE_EXT)
   CXX = $(DEVKITARM)/bin/arm-none-eabi-g++$(EXE_EXT)
   AR = $(DEVKITARM)/bin/arm-none-eabi-ar$(EXE_EXT)
   DEFINES += -D_3DS -DARM11 -march=armv6k -mtune=mpcore -mfloat-abi=hard
   CFLAGS += $(DEFINES) -DNO_NETWORK
   CXXFLAGS += $(CFLAGS)
   STATIC_LINKING = 1

# Lightweight PS3 Homebrew SDK
else ifeq ($(platform), psl1ght)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
   CXX = $(PS3DEV)/ppu/bin/ppu-g++$(EXE_EXT)
   CC_AS = $(PS3DEV)/ppu/bin/ppu-gcc$(EXE_EXT)
   AR = $(PS3DEV)/ppu/bin/ppu-ar$(EXE_EXT)
   CFLAGS += -D__CELLOS_LV2__ -D__PSL1GHT__ -mcpu=cell
   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
   STATIC_LINKING = 1

# Classic Platforms ####################
# Platform affix = classic_<ISA>_<µARCH>
# Help at https://modmyclassic.com/comp

# (armv7 a7, hard point, neon based) ### 
# NESC, SNESC, C64 mini 
else ifeq ($(platform), classic_armv7_a7)
   TARGET := $(TARGET_NAME)_libretro.so
   fpic := -fPIC
   LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
   CFLAGS += -Ofast \
      -flto=4 -fwhole-program -fuse-linker-plugin \
      -fdata-sections -ffunction-sections -Wl,--gc-sections \
      -fno-stack-protector -fno-ident -fomit-frame-pointer \
      -falign-functions=1 -falign-jumps=1 -falign-loops=1 \
      -fno-unwind-tables -fno-asynchronous-unwind-tables -fno-unroll-loops \
      -fmerge-all-constants -fno-math-errno \
      -marm -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
   CXXFLAGS += $(CFLAGS)
   CPPFLAGS += $(CFLAGS)
   ASFLAGS += $(CFLAGS)
   HAVE_NEON = 1
   ifeq ($(shell echo `$(CC) -dumpversion` "< 4.9" | bc -l), 1)
      CFLAGS += -march=armv7-a
   else
      CFLAGS += -march=armv7ve
      # If gcc is 5.0 or later
      ifeq ($(shell echo `$(CC) -dumpversion` ">= 5" | bc -l), 1)
         LDFLAGS += -static-libgcc -static-libstdc++
      endif
   endif
#######################################

else ifeq ($(platform), genode)
   TARGET   := $(TARGET_NAME)_libretro.lib.so
   CC       := $(shell pkg-config genode-base --variable=cc)
   CXX      := $(shell pkg-config genode-base --variable=cxx)
   LD       := $(shell pkg-config genode-base --variable=ld)
   CFLAGS   += $(shell pkg-config --cflags genode-libc)
   CXXFLAGS += $(shell pkg-config --cflags genode-stdcxx)
   LDFLAGS  += -shared --version-script=link.T
   LDFLAGS  += $(shell pkg-config --libs genode-lib genode-libc genode-stdcxx)
   LIBM =

else ifeq ($(platform), unix-armv7-hardfloat-neon)
   TARGET := $(TARGET_NAME)_libretro.so
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
   LDFLAGS += -lm -lpthread
   CFLAGS += -marm -march=armv7-a -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
   PLATFLAGS += -DRETRO -DALIGN_DWORD -DARM
   HAVE_NEON = 1

# Windows MSVC 2003 Xbox 1
else ifeq ($(platform), xbox1_msvc2003)
   TARGET := $(TARGET_NAME)_libretro_xdk1.lib
   CC   = CL.exe
   CXX  = CL.exe
   LD   = lib.exe
   export INCLUDE := $(XDK)/xbox/include
   export LIB := $(XDK)/xbox/lib
   PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
   PSS_STYLE :=2
   CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
   STATIC_LINKING=1
   HAS_GCC := 0

# Windows MSVC 2010 Xbox 360
else ifeq ($(platform), xbox360_msvc2010)
   TARGET := $(TARGET_NAME)_libretro_xdk360.lib
   MSVCBINDIRPREFIX = $(XEDK)/bin/win32
   CC   = "$(MSVCBINDIRPREFIX)/cl.exe"
   CXX  = "$(MSVCBINDIRPREFIX)/cl.exe"
   LD   = "$(MSVCBINDIRPREFIX)/lib.exe"

   export INCLUDE := $(XEDK)/include/xbox
   export LIB := $(XEDK)/lib/xbox
   PSS_STYLE :=2
   CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
   STATIC_LINKING=1
   HAS_GCC := 0

# Windows MSVC 2003 x86
else ifeq ($(platform), windows_msvc2003_x86)
   CC  = cl.exe
   CXX = cl.exe
   LD  = link.exe

   CFLAGS += -DNOMINMAX
   PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
   PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
   INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
   LIB := $(shell IFS=$$'\n'; cygpath -w "$(VS71COMNTOOLS)../../Vc7/lib")
   BIN := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin")

   WindowsSdkDir := $(INETSDK)

   export INCLUDE := $(INCLUDE);$(INETSDK)/Include;src/drivers/libretro/msvc/msvc-2005

=== libretro-common/samples/utils/Makefile ===
compiler    := gcc
extra_flags :=
use_neon    := 0
release	   := release
EXE_EXT	      :=

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
   arch = intel
ifeq ($(shell uname -p),powerpc)
   arch = ppc
endif
else ifneq ($(findstring win,$(shell uname -a)),)
   platform = win
endif
endif

ifeq ($(compiler),gcc)
extra_rules_gcc := $(shell $(compiler) -dumpmachine)
endif

ifneq (,$(findstring armv7,$(extra_rules_gcc)))
extra_flags += -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon
use_neon := 1
endif

ifneq (,$(findstring hardfloat,$(extra_rules_gcc)))
extra_flags += -mfloat-abi=hard
endif

ifeq (release,$(build))
extra_flags += -O2
endif

ifeq (debug,$(build))
extra_flags += -O0 -g
endif

ldflags :=

EXE_EXT :=
ifeq ($(platform), unix)
else ifeq ($(platform), osx)
compiler := $(CC)
else
EXE_EXT = .exe
endif

PWD_DIR := .
LIBRETRO_COMM_DIR := ../..
CORE_DIR := $(LIBRETRO_COMM_DIR)/utils

CC      := $(compiler)
CXX     := $(subst CC,++,$(compiler))
flags   := -I$(LIBRETRO_COMM_DIR)/include
asflags := $(extra_flags)
LDFLAGS :=
flags   += -std=c99 -DMD5_BUILD_UTILITY -DSHA1_BUILD_UTILITY

ifeq (1,$(use_neon))
ASMFLAGS := -INEON/asm
asflags += -mfpu=neon
endif

DJB2_OBJS := $(CORE_DIR)/djb2.o

MD5_OBJS  := $(CORE_DIR)/md5.o \
				 $(PWD_DIR)/md5_test.o

SHA1_OBJS := $(CORE_DIR)/sha1.o \
				 $(PWD_DIR)/sha1_main.o

CRC32_OBJS := $(PWD_DIR)/crc32.o \
				  $(LIBRETRO_COMM_DIR)/compat/fopen_utf8.o \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strl.o \
				  $(LIBRETRO_COMM_DIR)/encodings/encoding_utf.o \
				  $(LIBRETRO_COMM_DIR)/streams/file_stream.o \
				  $(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.o \
			     $(LIBRETRO_COMM_DIR)/encodings/encoding_crc32.o

UTILS := djb2$(EXE_EXT) md5$(EXE_EXT) sha1$(EXE_EXT) crc32$(EXE_EXT)

all: $(UTILS)

djb2$(EXE_EXT): $(DJB2_OBJS)

md5$(EXE_EXT): $(MD5_OBJS)

sha1$(EXE_EXT): $(SHA1_OBJS)

crc32$(EXE_EXT): $(CRC32_OBJS)

%.o: %.S
	$(CC) -c -o $@ $(asflags) $(LDFLAGS)  $(ASMFLAGS)  $<

%.o: %.c
	$(CC) -c -o $@ $(flags) $<

$(UTILS):
	$(CC) -o $@ $(ldflags) $(flags) $^

clean:
	rm -f $(CORE_DIR)/*.o
	rm -f $(UTILS)

strip:
	strip -s $(UTILS)

=== libretro-common/samples/file/config_file/Makefile ===
TARGET := config_file_test

LIBRETRO_COMM_DIR := ../../..

SOURCES := \
	config_file_test.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strcasestr.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_posix_string.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/file/file_path.c \
	$(LIBRETRO_COMM_DIR)/file/file_path_io.c \
	$(LIBRETRO_COMM_DIR)/file/config_file.c \
	$(LIBRETRO_COMM_DIR)/lists/string_list.c \
	$(LIBRETRO_COMM_DIR)/string/stdstring.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.c \
	$(LIBRETRO_COMM_DIR)/time/rtime.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== libretro-common/samples/formats/xml/Makefile ===
TARGET := rxml

LIBRETRO_XML_DIR  := ../../../formats/xml
LIBRETRO_COMM_DIR := ../../../
LIBRETRO_DEPS_DIR := ../../../../deps

SOURCES := \
	rxml_test.c \
	$(LIBRETRO_XML_DIR)/rxml.c \
	$(LIBRETRO_DEPS_DIR)/yxml/yxml.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -DRXML_TEST -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== debian/changelog ===
mrboom (5.2+ds-2) unstable; urgency=medium

  * d/control: fix build-depends. (Closes: #1015090)
  * Update maintainer address.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Aug 2022 13:45:34 +0200

=== debian/control ===
Source: mrboom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev,
 libminizip-dev, libmodplug-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/games-team/mrboom.git
Vcs-Browser: https://salsa.debian.org/games-team/mrboom
Homepage: http://mrboom.mumblecore.org/

Package: mrboom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 8 player Bomberman
 This is an SDL2 version of the original 1999 version of Mr. Boom. The goal of
 the game is to bomb away your enemies and other players.

## mrboom 5.4%2Bds

=== libretro-common/audio/dsp_filters/Makefile ===
--- 
+++ 
@@ -50,6 +50,43 @@
    compiler := $(CC)
    DYLIB = dylib
    ldflags := -dynamiclib
+   ARCHFLAGS=
+   MINVERFLAGS=
+   ifeq ($(shell uname -p),arm)
+      MINVERFLAGS = -mmacosx-version-min=10.15 -stdlib=libc++ # macOS  (Metal, ARM 64bit)
+   else ifeq ($(HAVE_METAL),1)
+      MINVERFLAGS = -mmacosx-version-min=10.13 -stdlib=libc++  # macOS  (Metal, x86 64bit)
+   else ifeq ($(shell uname -p),powerpc)
+      MINVERFLAGS = -mmacosx-version-min=10.5  # macOSX (PowerPC 32-bit)
+   else ifeq ($(shell uname -m),i386)
+      MINVERFLAGS = -mmacosx-version-min=10.6  # macOSX (OpenGL, x86 32bit)
+   else
+      MINVERFLAGS = -mmacosx-version-min=10.7 -stdlib=libc++ # macOSX (OpenGL, x86 64bit)
+   endif
+
+	# Build for a specific architecture when ARCH is defined as a switch
+   ifeq ($(ARCH),arm64)
+      MINVERFLAGS  = -mmacosx-version-min=10.15 -stdlib=libc++ # macOS  (Metal, ARM 64bit)
+      ARCHFLAGS    = -arch arm64
+   else ifeq ($(ARCH),x86_64)
+      ifeq ($(HAVE_METAL),1)
+         MINVERFLAGS  = -mmacosx-version-min=10.13 -stdlib=libc++
+      else
+         MINVERFLAGS  = -mmacosx-version-min=10.7  -stdlib=libc++
+      endif
+      ARCHFLAGS       = -arch x86_64
+   else ifeq ($(ARCH),x86)
+      MINVERFLAGS     = -mmacosx-version-min=10.6
+      ARCHFLAGS       = -arch x86
+   else ifeq ($(ARCH),ppc)
+      MINVERFLAGS     = -mmacosx-version-min=10.5
+      ARCHFLAGS       = -arch ppc
+   endif
+   ifeq ($(BUILDBOT),1)
+      ARCHFLAGS       = -target $(LIBRETRO_APPLE_PLATFORM) -isysroot $(LIBRETRO_APPLE_ISYSROOT)
+   endif
+	extraflags += $(MINVERFLAGS) $(ARCHFLAGS)
+	ldflags += $(MINVERFLAGS) $(ARCHFLAGS)
 else
    extra_flags += -static-libgcc -static-libstdc++
    DYLIB = dll

## mrboom 5.4+ds

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DATADIR        ?= share
 LIBRETRO_DIR   ?= libretro
 WANT_BPP       := 32
+#DEBUG := 1
 
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
@@ -48,6 +49,13 @@
    system_platform = win
 else ifneq ($(findstring Darwin,$(shell uname -a)),)
    system_platform = osx
+   arch = intel
+   ifeq ($(shell uname -p),powerpc)
+	arch = ppc
+   endif
+   ifeq ($(shell uname -p),arm)
+	arch = arm
+   endif
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
    system_platform = freebsd
 else ifneq ($(findstring Haiku,$(shell uname -o)),)
@@ -58,28 +66,10 @@
 
 TARGET_NAME := mrboom
 
-ifeq ($(ARCHFLAGS),)
-   ifeq ($(archs),ppc)
-      ARCHFLAGS = -arch ppc -arch ppc64
-   else
-      ARCHFLAGS = -arch i386 -arch x86_64
-   endif
-endif
 
 ifneq ($(SANITIZER),)
    CFLAGS   := -fsanitize=$(SANITIZER) $(CFLAGS)
    LDFLAGS  := -fsanitize=$(SANITIZER) $(LDFLAGS)
-endif
-
-ifeq ($(platform), osx)
-   ifndef ($(NOUNIVERSAL))
-      CFLAGS += $(ARCHFLAGS)
-      LFLAGS += $(ARCHFLAGS)
-      ifneq ($(LIBSDL2),)
-         CFLAGS += $(shell sdl2-config --cflags)
-         LDFLAGS += $(shell sdl2-config --libs)
-      endif
-   endif
 endif
 
 ifeq ($(platform), unix)
@@ -119,11 +109,40 @@
    PREFIX := /usr/local
    MANDIR := share/man/man6
 
+   ifeq ($(UNIVERSAL),1)
+   ifeq ($(archs),ppc)
+      ARCHFLAGS = -arch ppc -arch ppc64
+   else ifeq ($(archs),arm64)
+      ARCHFLAGS = -arch arm64 -arch x86_64
+   else
+      ARCHFLAGS = -arch i386 -arch x86_64
+   endif
+      CFLAGS += $(ARCHFLAGS)
+      LFLAGS += $(ARCHFLAGS)
+      ifneq ($(LIBSDL2),)
+         CFLAGS += $(shell sdl2-config --cflags)
+         LDFLAGS += $(shell sdl2-config --libs)
+      endif
+   endif
+
+
+   ifeq ($(CROSS_COMPILE),1)
+		TARGET_RULE   = -target $(LIBRETRO_APPLE_PLATFORM) -isysroot $(LIBRETRO_APPLE_ISYSROOT)
+		CFLAGS   += $(TARGET_RULE)
+		CPPFLAGS += $(TARGET_RULE)
+		CXXFLAGS += $(TARGET_RULE)
+		LDFLAGS  += $(TARGET_RULE)
+   endif
+   CFLAGS  += $(ARCHFLAGS)
+   CXXFLAGS  += $(ARCHFLAGS)
+   LDFLAGS += $(ARCHFLAGS)
+
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
    TARGET := $(TARGET_NAME)_libretro_ios.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
+   MINVERSION :=
    ifeq ($(IOSSDK),)
       IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
    endif
@@ -136,12 +155,11 @@
       CXX = c++ -arch armv7 -isysroot $(IOSSDK)
    endif
    ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
-      CC     += -miphoneos-version-min=8.0
-      CFLAGS += -miphoneos-version-min=8.0 -DDONT_WANT_ARM_OPTIMIZATIONS
+      MINVERSION = -miphoneos-version-min=8.0
    else
-      CC     += -miphoneos-version-min=5.0
-      CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
-   endif
+      MINVERSION = -miphoneos-version-min=5.0
+   endif
+   CFLAGS += $(MINVERSION) -DIOS
 
 # tvOS
 else ifeq ($(platform), tvos-arm64)
@@ -149,7 +167,6 @@
    fpic := -fPIC
    SHARED := -dynamiclib
    DEFINES := -DIOS
-   CFLAGS += -DDONT_WANT_ARM_OPTIMIZATIONS
    ifeq ($(IOSSDK),)
       IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
    endif
@@ -171,8 +188,20 @@
    TARGET := $(TARGET_NAME)_libretro_emscripten.bc
    fpic := -fPIC
    SHARED := -shared
+   AR=emar
    STATIC_LINKING := 1
    CFLAGS += -DNO_NETWORK
+
+# PS2
+else ifeq ($(platform), ps2)
+   TARGET := $(TARGET_NAME)_libretro_$(platform).a
+   CC = mips64r5900el-ps2-elf-gcc
+   CXX = mips64r5900el-ps2-elf-c++
+   AR = mips64r5900el-ps2-elf-ar
+   CFLAGS += $(DEFINES) -DPS2 -Wall -G0 -DNO_NETWORK -DABGR1555
+	CXXFLAGS += $(CFLAGS)
+	STATIC_LINKING = 1
+   WANT_BPP := 16
 
 # PSP
 else ifeq ($(platform), psp1)
@@ -227,6 +256,17 @@
    fpic := -fPIC
    SHARED := -shared -Wl,--no-undefined -Wl,-version-script=$(CORE_DIR)/link.T
    FLAGS += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float
+   WANT_BPP := 16
+
+# Miyoo
+else ifeq ($(platform), miyoo)
+   TARGET := $(TARGET_NAME)_libretro.so
+   CC = /opt/miyoo/usr/bin/arm-linux-gcc
+   CXX = /opt/miyoo/usr/bin/arm-linux-g++
+   AR = /opt/miyoo/usr/bin/arm-linux-ar
+   fpic := -fPIC
+   SHARED := -shared -Wl,--no-undefined -Wl,-version-script=$(CORE_DIR)/link.T
+   FLAGS += -fomit-frame-pointer -ffast-math -mcpu=arm926ej-s
    WANT_BPP := 16
 
 # Nintendo Switch (libnx)
@@ -335,39 +375,9 @@
    export INCLUDE := $(XDK)/xbox/include
    export LIB := $(XDK)/xbox/lib
    PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
-   PSS_STYLE :=2
    CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
    STATIC_LINKING=1
    HAS_GCC := 0
 
 # Windows MSVC 2010 Xbox 360
 else ifeq ($(platform), xbox360_msvc2010)
-   TARGET := $(TARGET_NAME)_libretro_xdk360.lib
-   MSVCBINDIRPREFIX = $(XEDK)/bin/win32
-   CC   = "$(MSVCBINDIRPREFIX)/cl.exe"
-   CXX  = "$(MSVCBINDIRPREFIX)/cl.exe"
-   LD   = "$(MSVCBINDIRPREFIX)/lib.exe"
-
-   export INCLUDE := $(XEDK)/include/xbox
-   export LIB := $(XEDK)/lib/xbox
-   PSS_STYLE :=2
-   CFLAGS   += -D_XBOX -D_XBOX1 -DNOMINMAX
-   STATIC_LINKING=1
-   HAS_GCC := 0
-
-# Windows MSVC 2003 x86
-else ifeq ($(platform), windows_msvc2003_x86)
-   CC  = cl.exe
-   CXX = cl.exe
-   LD  = link.exe
-
-   CFLAGS += -DNOMINMAX
-   PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
-   PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
-   INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
-   LIB := $(shell IFS=$$'\n'; cygpath -w "$(VS71COMNTOOLS)../../Vc7/lib")
-   BIN := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin")
-
-   WindowsSdkDir := $(INETSDK)
-
-   export INCLUDE := $(INCLUDE);$(INETSDK)/Include;src/drivers/libretro/msvc/msvc-2005

=== libretro-common/samples/formats/png/Makefile ===
TARGET := rpng

CORE_DIR          := .
LIBRETRO_PNG_DIR  := ../../../formats/png
LIBRETRO_COMM_DIR := ../../..

HAVE_IMLIB2=0

LDFLAGS +=  -lz

ifeq ($(HAVE_IMLIB2),1)
CFLAGS += -DHAVE_IMLIB2
LDFLAGS += -lImlib2
endif

SOURCES_C := 	\
	$(CORE_DIR)/rpng_test.c \
	$(LIBRETRO_PNG_DIR)/rpng.c \
	$(LIBRETRO_PNG_DIR)/rpng_encode.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_crc32.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/string/stdstring.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_posix_string.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strcasestr.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_intf.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_stdio.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_linux.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_unixmmap.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_windowsmmap.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file_zlib.c \
	$(LIBRETRO_COMM_DIR)/file/file_path.c \
	$(LIBRETRO_COMM_DIR)/file/file_path_io.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.c \
	$(LIBRETRO_COMM_DIR)/streams/interface_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/memory_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_zlib.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_pipe.c \
	$(LIBRETRO_COMM_DIR)/lists/string_list.c

OBJS := $(SOURCES_C:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -O0 -g -DHAVE_ZLIB -DRPNG_TEST -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== libretro-common/samples/streams/rzip/Makefile ===
TARGET := rzip

LIBRETRO_COMM_DIR := ../../..
LIBRETRO_DEPS_DIR := ../../../../deps

# Attempt to detect target platform
ifeq '$(findstring ;,$(PATH))' ';'
	UNAME := Windows
else
	UNAME := $(shell uname 2>/dev/null || echo Unknown)
	UNAME := $(patsubst CYGWIN%,Cygwin,$(UNAME))
	UNAME := $(patsubst MSYS%,MSYS,$(UNAME))
	UNAME := $(patsubst MINGW%,MSYS,$(UNAME))
endif

# Add '.exe' extension on Windows platforms
ifeq ($(UNAME), Windows)
	TARGET := rzip.exe
endif
ifeq ($(UNAME), MSYS)
	TARGET := rzip.exe
endif

SOURCES := \
	rzip.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strcasestr.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_posix_string.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_crc32.c \
	$(LIBRETRO_COMM_DIR)/file/file_path.c \
	$(LIBRETRO_COMM_DIR)/file/file_path_io.c \
	$(LIBRETRO_COMM_DIR)/string/stdstring.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream_transforms.c \
	$(LIBRETRO_COMM_DIR)/streams/interface_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/memory_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/rzip_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/stdin_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_pipe.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_zlib.c \
	$(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.c \
	$(LIBRETRO_COMM_DIR)/time/rtime.c

ifneq ($(wildcard $(LIBRETRO_DEPS_DIR)/*),)
	# If we are building from inside the RetroArch
	# directory (i.e. if an 'external' deps directory
	# is avaiable), bake in zlib support
	SOURCES += \
		$(LIBRETRO_DEPS_DIR)/libz/adler32.c \
		$(LIBRETRO_DEPS_DIR)/libz/libz-crc32.c \
		$(LIBRETRO_DEPS_DIR)/libz/deflate.c \
		$(LIBRETRO_DEPS_DIR)/libz/gzclose.c \
		$(LIBRETRO_DEPS_DIR)/libz/gzlib.c \
		$(LIBRETRO_DEPS_DIR)/libz/gzread.c \
		$(LIBRETRO_DEPS_DIR)/libz/gzwrite.c \
		$(LIBRETRO_DEPS_DIR)/libz/inffast.c \
		$(LIBRETRO_DEPS_DIR)/libz/inflate.c \
		$(LIBRETRO_DEPS_DIR)/libz/inftrees.c \
		$(LIBRETRO_DEPS_DIR)/libz/trees.c \
		$(LIBRETRO_DEPS_DIR)/libz/zutil.c
	INCLUDE_DIRS := -I$(LIBRETRO_COMM_DIR)/include/compat/zlib
else
	# If this is a stand-alone libretro-common directory,
	# rely on system zlib library (note: only likely to
	# work on Unix-based platforms...)
	LDFLAGS += -lz
endif

OBJS := $(SOURCES:.c=.o)
INCLUDE_DIRS += -I$(LIBRETRO_COMM_DIR)/include
CFLAGS += -DHAVE_ZLIB -Wall -pedantic -std=gnu99 $(INCLUDE_DIRS)

# Silence "ISO C does not support the 'I64' ms_printf length modifier"
# warnings when using MinGW
ifeq ($(UNAME), Windows)
	CFLAGS += -Wno-format
endif
ifeq ($(UNAME), MSYS)
	CFLAGS += -Wno-format
endif

ifeq ($(DEBUG), 1)
	CFLAGS += -O0 -g -DDEBUG -D_DEBUG
else
	CFLAGS += -O2 -DNDEBUG
endif

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== debian/changelog ===
mrboom (5.4+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:11 +1100

mrboom (5.4+ds-1build1) noble; urgency=medium

  * No-change rebuild against libminizip1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 03:31:08 +0000

mrboom (5.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Feb 2024 07:32:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mrboom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-fortify

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- mrboom LIBSDL2=1

override_dh_auto_test:
	@echo skipping test

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=share/man/man6 BINDIR=games STRIP=:

## mrboom 5.5%2Bds

=== libretro-common/samples/net/Makefile ===
TARGETS  = http_test http_parse_test net_ifinfo

LIBRETRO_COMM_DIR := ../..

INCFLAGS = -I$(LIBRETRO_COMM_DIR)/include

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
	arch = intel
ifeq ($(shell uname -p),powerpc)
	arch = ppc
endif
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
endif
endif

ifeq ($(DEBUG),1)
CFLAGS += -O0 -g
else
CFLAGS += -O2
endif
CFLAGS += -Wall -pedantic -std=gnu99

HTTP_TEST_C = \
				  $(LIBRETRO_COMM_DIR)/net/net_http.c \
				  $(LIBRETRO_COMM_DIR)/net/net_compat.c \
				  $(LIBRETRO_COMM_DIR)/net/net_socket.c \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
				  $(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
				  $(LIBRETRO_COMM_DIR)/string/stdstring.c \
				  net_http_test.c

HTTP_TEST_OBJS := $(HTTP_TEST_C:.c=.o)

HTTP_PARSE_TEST_C = \
				  $(LIBRETRO_COMM_DIR)/net/net_http.c \
				  $(LIBRETRO_COMM_DIR)/net/net_http_parse.c \
				  $(LIBRETRO_COMM_DIR)/net/net_compat.c \
				  $(LIBRETRO_COMM_DIR)/net/net_socket.c \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strcasestr.c \
				  $(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
				  $(LIBRETRO_COMM_DIR)/string/stdstring.c \
				  net_http_parse_test.c

HTTP_PARSE_TEST_OBJS := $(HTTP_PARSE_TEST_C:.c=.o)

NET_IFINFO_C = \
					$(LIBRETRO_COMM_DIR)/net/net_ifinfo.c \
					net_ifinfo_test.c

ifeq ($(platform), win)
CFLAGS += -liphlpapi -lws2_32
endif

NET_IFINFO_OBJS := $(NET_IFINFO_C:.c=.o)

.PHONY: all clean

all: $(TARGETS)

%.o: %.c
	$(CC) $(INCFLAGS) $< -c $(CFLAGS) -o $@

http_parse_test: $(HTTP_PARSE_TEST_OBJS)
	$(CC) $(INCFLAGS) $(HTTP_PARSE_TEST_OBJS) $(CFLAGS) -o $@

http_test: $(HTTP_TEST_OBJS)
	$(CC) $(INCFLAGS) $(HTTP_TEST_OBJS) $(CFLAGS) -o $@

net_ifinfo: $(NET_IFINFO_OBJS)
	$(CC) $(INCFLAGS) $(NET_IFINFO_OBJS) $(CFLAGS) -o $@

clean:
	rm -rf $(TARGETS) $(HTTP_TEST_OBJS) $(HTTP_PARSE_TEST_OBJS) $(NET_IFINFO_OBJS)

## mrboom 5.5+ds

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,19 @@
 INSTALL        := install
 RM             := rm
 STRIP          := strip
-GIT_VERSION    := " $(shell git rev-parse --short HEAD)"
 BINDIR         ?= bin
 LIBDIR         ?= lib
 DATADIR        ?= share
 LIBRETRO_DIR   ?= libretro
 WANT_BPP       := 32
 #DEBUG := 1
+
+ifneq ($(SKIP_GIT),1)
+GIT_VERSION := " $(shell git rev-parse --short HEAD)"
+else 
+GIT_VERSION := " "
+endif
+
 
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
@@ -58,6 +64,7 @@
    endif
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
    system_platform = freebsd
+   MANDIR = share/man/man6
 else ifneq ($(findstring Haiku,$(shell uname -o)),)
    system_platform = haiku
 else ifneq ($(findstring MINGW,$(shell uname -a)),)
@@ -379,5 +386,3 @@
    STATIC_LINKING=1
    HAS_GCC := 0
 
-# Windows MSVC 2010 Xbox 360
-else ifeq ($(platform), xbox360_msvc2010)

=== debian/changelog ===
mrboom (5.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: updated.
  * d/rules: disable dh_dwz, it is failing.

 -- Alex Myczko <tar@debian.org>  Sun, 19 May 2024 09:47:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mrboom
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/mrboom.git
 Vcs-Browser: https://salsa.debian.org/games-team/mrboom

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 override_dh_auto_test:
 	@echo skipping test
 
+override_dh_dwz:
+	@echo dwz failing
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=share/man/man6 BINDIR=games STRIP=:

=== debian/watch ===
version=4
# GitHub hosted projects
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/Javanaise/mrboom-libretro/tags .*/v?(\d\S*)\.tar\.gz
